Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.CORBA.dynany
Class DynAnyFactoryImpl

    java.lang.Object
      |
      +--org.omg.CORBA.LocalObject
            |
            +--org.openorb.CORBA.dynany.DynAnyFactoryImpl

All Implemented Interfaces:
  DynAnyFactory, DynAnyFactoryOperations, IDLEntity, Object, java.io.Serializable

public class DynAnyFactoryImpl
extends LocalObject
implements DynAnyFactory

This class provides the DynAny Factory

Version:
  $Revision: 1.6 $ $Date: 2002/07/16 11:40:23 $
Author:
  Jerome Daniel
See Also:
  Serialized Form

Constructor Summary
`DynAnyFactoryImpl(ORB orb)`

Method Summary
`DynAny` | `create_dyn_any_from_type_code(TypeCode type)` Operation create_dyn_any_from_type_code
`DynAny` | `create_dyn_any(Any value)` Operation create_dyn_any
`DynArray` | `create_dyn_array(TypeCode type)`

Methods inherited from class org.omg.CORBA.LocalObject
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_policy_override, validate_connection`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.omg.CORBA.Object
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Constructor Detail

### DynAnyFactoryImpl

    public DynAnyFactoryImpl(ORB orb)

Method Detail

### create_dyn_any

    public DynAny create_dyn_any(Any value)
                          throws InconsistentTypeCode

  Operation create_dyn_any
  Specified by:
    `create_dyn_any` in interface `DynAnyFactoryOperations`

### create_dyn_any_from_type_code

    public DynAny create_dyn_any_from_type_code(TypeCode type)
                                         throws InconsistentTypeCode

  Operation create_dyn_any_from_type_code
  Specified by:
    `create_dyn_any_from_type_code` in interface `DynAnyFactoryOperations`

### create_dyn_array

    public DynArray create_dyn_array(TypeCode type)
                              throws InconsistentTypeCode

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD